| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
Gaudi::Utils::RegEx::matchList Class Reference

`#include <GaudiUtils/RegEx.h>`

Collaboration diagram for Gaudi::Utils::RegEx::matchList:
[legend]

## Public Member Functions
template<typename C >
| matchList (const C &c)
bool | Or (const std::string &test) const
bool | And (const std::string &test) const

## Private Attributes
std::vector< boost::regex > | m_regs

## Detailed Description

Definition at line 27 of file RegEx.h.

## Constructor & Destructor Documentation

template<typename C >

Gaudi::Utils::RegEx::matchList::matchList | ( | const C & | c | ) |
| inline

Definition at line 33 of file RegEx.h.

34 {
35 m_regs.reserve( c.size() );
36 std::transform( std::begin( c ), std::end( c ), std::back_inserter( m_regs ),
37 []( typename C::const_reference i ) { return boost::regex{i}; } );
38 }
gaudirun.c
c
Definition: gaudirun.py:407
std::end
T end(T...args)
std::begin
T begin(T...args)
std::back_inserter
T back_inserter(T...args)
Gaudi::Utils::RegEx::matchList::m_regs
std::vector< boost::regex > m_regs
Definition: RegEx.h:29
std::transform
T transform(T...args)
std::vector::reserve
T reserve(T...args)

## Member Function Documentation

bool Gaudi::Utils::RegEx::matchList::And | ( | const std::string & | test | ) | const
| inline

Definition at line 45 of file RegEx.h.

46 {
47 return std::all_of( std::begin( m_regs ), std::end( m_regs ),
48 [&]( const boost::regex& r ) { return boost::regex_match( test, r ); } );
49 }
std::end
T end(T...args)
std::begin
T begin(T...args)
Gaudi::Utils::RegEx::matchList::m_regs
std::vector< boost::regex > m_regs
Definition: RegEx.h:29
std::all_of
T all_of(T...args)

bool Gaudi::Utils::RegEx::matchList::Or | ( | const std::string & | test | ) | const
| inline

Definition at line 40 of file RegEx.h.

41 {
42 return std::any_of( std::begin( m_regs ), std::end( m_regs ),
43 [&]( const boost::regex& r ) { return boost::regex_match( test, r ); } );
44 }
std::end
T end(T...args)
std::begin
T begin(T...args)
Gaudi::Utils::RegEx::matchList::m_regs
std::vector< boost::regex > m_regs
Definition: RegEx.h:29
std::any_of
T any_of(T...args)

## Member Data Documentation

std::vector<boost::regex> Gaudi::Utils::RegEx::matchList::m_regs
| private

Definition at line 29 of file RegEx.h.

The documentation for this class was generated from the following file:

- GaudiUtils/GaudiUtils/RegEx.h